Page MenuHomePhabricator

Remove redundant wgMetaNamespaceTalk definitions
Closed, ResolvedPublic

Description

I noticed some definitions in wgMetaNamespaceTalk in InitialiseSettings.php are redundant with NS_PROJECT_TALK from MessagesXxx.php. See atjwiki as an example.

  • wgMetaNamespace: Wikipetcia
  • wgMetaNamespaceTalk: Ke_ici_aimihitonaniwok_Wikipetcia
  • NS_PROJECT_TALK: Ke_ici_aimihitonaniwok_$1

I think we should remove those redundant definitions.

Event Timeline

Urbanecm created this task.Oct 14 2018, 5:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 14 2018, 5:54 PM
Urbanecm triaged this task as Lowest priority.Oct 14 2018, 5:54 PM
Urbanecm moved this task from Proposed tasks to Imported in GCI Site on the Google-Code-in-2018 board.
Urbanecm added a project: User-Urbanecm.
Urbanecm moved this task from Backlog to Watching on the User-Urbanecm board.
Urbanecm moved this task from Watching to GCI on the User-Urbanecm board.Oct 18 2018, 11:42 AM
Urbanecm added a comment.EditedOct 20 2018, 9:59 AM

This link is available only to GCI mentors. Aklapper's link will be public after the contest starts. That's the reason why it is preffered on public places.

This ling is available only to GCI mentors. Aklapper's link will be public after the contest starts. That's the reason why it is preffered on public places.

Ok, thanks for the explanation.

@takidelfin Looks good to me. You can schedule it for deployment (there's GCI task for it, but it is currently unpublished due to some technical issues on Google side).

Change 474372 had a related patch set uploaded (by Takidelfin; owner: Takidelfin):
[operations/mediawiki-config@master] InitialiseSettings: Remove redundant namespace talks definitions

https://gerrit.wikimedia.org/r/474372

Urbanecm moved this task from GCI to To deploy on the User-Urbanecm board.Dec 11 2018, 12:19 PM
takidelfin added a comment.EditedDec 26 2018, 9:20 PM

@Urbanecm Could I schedule it for deployment, please? (At January 7 Morning SWAT)
^-^

@Urbanecm Could I schedule it for deployment, please? (At January 7 Morning SWAT)
^-^

Sure, I was just cleaning the backlog of completed site requests in GCI to make sure everyone is deployed. Leaving this to you.

Thank you :D
Added it to Morning SWAT schedule

Change 474372 merged by jenkins-bot:
[operations/mediawiki-config@master] InitialiseSettings: Remove redundant namespace talks definitions

https://gerrit.wikimedia.org/r/474372

Mentioned in SAL (#wikimedia-operations) [2019-01-07T19:51:59Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Remove redundant namespace talk definitions (T206952) (duration: 00m 44s)

Catrope closed this task as Resolved.Jan 7 2019, 7:52 PM